Change extracted company data

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Use this endpoint to update the info.companyInfo object, which contains company data extracted from documents and corporate registry checks.. This data is intended to be cross-checked against the provided company information (fixedInfo.companyInfo).

This method allows you to update existing company information without creating a new profile—simply submit this PATCH request with the new data.

🚧

Important

  • Submitting new information will overwrite the previously stored data. To retain current values, omit those fields from the request payload.
  • A patched info entity could be quite damaging if misused. It is recommended to check in the sandbox environment if the response returns expected results.
📘

Note

If you need to re-check the company once the information has been changed, you need to revert the company verification status to pending by initiating another review.

Request example

curl -X PATCH \
  'https://api.sumsub.com/resources/applicants/5b76df770a975a1404cbcb60/info/companyInfo' \
  -H 'Content-Type: application/json' \
  -H 'X-App-Token: <your-app-token>' \
  -H 'X-App-Access-Sig: <your-signature>' \
  -H 'X-App-Access-Ts: <unix-timestamp>' \
  -d '{
          "companyName": "your_company_name",
          "registrationNumber": "7836733",
          "country": "GBR",
          "website": "yourcompany.com",
          "noUBOs": false,
          "beneficiaries": [
            {
              "id": "123e4567-e89b-12d3-a456-426655440000",
              "types": [
                "shareholder",
                "representative"
              ],
              "shareSize": 10
            },
            {
              "id": "987e6543-e89b-12d3-a456-426655440000",
              "types": [
                "shareholder"
              ],
              "shareSize": 12
            }
          ]
      }'

Response explained

If the request is successfully sent and processed, you will get a JSON file that contains the companyInfo object with the data changed.

You can see the companyInfo structure and possible content with descriptions in the following table.

Response example

If the request is successfully sent and processed, you will get a response like one below.

{
  "companyName": "your_company_name",
  "registrationNumber": "7836733",
  "country": "GBR",
  "website": "yourcompany.com",
  "noUBOs": false,
  "beneficiaries": [
    {
      "id": "123e4567-e89b-12d3-a456-426655440000",
      "types": [
        "shareholder",
        "representative"
      ],
      "shareSize": 10
    },
    {
      "id": "987e6543-e89b-12d3-a456-426655440000",
      "types": [
        "shareholder"
      ],
      "shareSize": 12
    }
  ]
}

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

{
  "code": 400,
  "correlationId": "27b05e3e3a94851dc0d7caef793ab82d",
  "errorCode": 0,
  "description": "Invalid id '673390478c5cc60a492aa39'"
}

Path Params
string
required

Unique identifier of the company applicant in the Sumsub system.

This identifier is a random combination of 24 digits and lowercase Latin characters. It is automatically generated when the applicant profile is created on the Sumsub side, and can be found in the Dashboard.

If the applicantId is unknown to you, use the Get applicant data (externalUserId) method to fetch it.

Body Params
string

Name of the company.

string

Unique number assigned to the company when it was registered as a legal entity.

string

Alpha-3 code of the country where the company is legally registered (for example, DEU, GBR, ARG, and so on).

alternativeNames
array of strings

Each string stands for an alternative name of the company: a brand name, business trademark, name in a local language, and so on. For example, "Megacorp" instead of "The Megacorp ABC Inc."

⚠️ If you want to add new names to the old ones, submit existing names in the request as well, otherwise the old names will be overwritten.

alternativeNames
string

Address a legal entity uses to register with a legal authority.

address
object

Company address details.

string

Date of company incorporation (format YYYY-mm-dd, e.g. 2001-09-25).

string

Type of legal entity. For example, Private Company Limited by Shares, Public Limited Company, Limited Partnership, and so on.

string

Company email address.

string

Company phone number.

string

Description of the control scheme of the company ownership or group of entities.

string

Taxpayer registration number/Code of taxpayer registration.

string

Legal Entity Identifier (LEI) code. Refers to the public identifier from the financial entities registry.

string

City, town, or another location where the company was registered.

string

Website URL of the company.

string

Company postal address.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!